Subject: FVWM: FvwmConsole on solaris

From: Jens-U H Petersen <[email-masked]>
Date: Thu, 14 Nov 1996 16:36:12 +0900

Hello,

I have been trying to build your FvwmConsole module (from
fvwm-2.0.43) under Solaris with X11R6.1.  Well, it seems to build
ok (all be it with a lot of warnings):

---- Start of included text -----------------------8<--- cut here -------------
% xmkmf;make
mv -f Makefile Makefile.bak
imake -DUseInstalled -I/usr/local/X11R6.1/lib/X11/config
gcc -fpcc-struct-return -O2 -Wall  -I/home/petersen/include  -I. -I../../libs  -I/usr/local/X11R6.1/include  -Dsun -DSVR4 -DHAVE_READLINE   -DSHAPE -DPIXMAP_BUTTONS -DXPM    -c FvwmConsole.c -o FvwmConsole.o
In file included from FvwmConsole.h:22,
                 from FvwmConsole.c:10:
../../configure.h:118: warning: `HAVE_READLINE' redefined
*Initialization*:1: warning: this is the location of the previous definition
FvwmConsole.c: In function `server':
FvwmConsole.c:142: warning: passing arg 2 of `bind' from incompatible pointer type
FvwmConsole.c:156: warning: passing arg 2 of `accept' from incompatible pointer type
rm -f FvwmConsole
LD_RUN_PATH=/usr/local/X11R6.1/lib gcc -fpcc-struct-return -o FvwmConsole -O2 -Wall     -L/usr/local/X11R6.1/lib FvwmConsole.o ../../libs/libfvwm2.a -L/home/petersen/lib/solaris -lXpm  -lXext -lX11    -lsocket -lnsl  
gcc -fpcc-struct-return -O2 -Wall  -I/home/petersen/include  -I. -I../../libs  -I/usr/local/X11R6.1/include  -Dsun -DSVR4 -DHAVE_READLINE   -DSHAPE -DPIXMAP_BUTTONS -DXPM    -c FvwmConsoleC.c -o FvwmConsoleC.o
In file included from FvwmConsole.h:22,
                 from FvwmConsoleC.c:1:
../../configure.h:118: warning: `HAVE_READLINE' redefined
*Initialization*:1: warning: this is the location of the previous definition
FvwmConsoleC.c: In function `main':
FvwmConsoleC.c:57: warning: passing arg 2 of `connect' from incompatible pointer type
gcc -fpcc-struct-return -O2 -Wall  -I/home/petersen/include  -I. -I../../libs  -I/usr/local/X11R6.1/include  -Dsun -DSVR4 -DHAVE_READLINE   -DSHAPE -DPIXMAP_BUTTONS -DXPM    -c getline.c -o getline.o
In file included from FvwmConsole.h:22,
                 from getline.c:1:
../../configure.h:118: warning: `HAVE_READLINE' redefined
*Initialization*:1: warning: this is the location of the previous definition
getline.c: In function `getline':
getline.c:38: warning: implicit declaration of function `add_history'
getline.c:21: warning: `line' might be used uninitialized in this function
rm -f FvwmConsoleC
LD_RUN_PATH=/usr/local/X11R6.1/lib gcc -fpcc-struct-return -o FvwmConsoleC -O2 -Wall     -L/usr/local/X11R6.1/lib FvwmConsoleC.o getline.o ../../libs/libfvwm2.a -L/home/petersen/lib/solaris -lXpm  -lXext -lX11 -lreadline -ltermcap    -lsocket -lnsl  
gcc -fpcc-struct-return -O2 -Wall  -I/home/petersen/include  -I. -I../../libs  -I/usr/local/X11R6.1/include  -Dsun -DSVR4 -DHAVE_READLINE   -DSHAPE -DPIXMAP_BUTTONS -DXPM    -c FCtest.c -o FCtest.o
In file included from FvwmConsole.h:22,
                 from FCtest.c:10:
../../configure.h:118: warning: `HAVE_READLINE' redefined
*Initialization*:1: warning: this is the location of the previous definition
FCtest.c: In function `server':
FCtest.c:145: warning: passing arg 2 of `bind' from incompatible pointer type
FCtest.c:161: warning: passing arg 2 of `accept' from incompatible pointer type
rm -f FCtest
LD_RUN_PATH=/usr/local/X11R6.1/lib gcc -fpcc-struct-return -o FCtest -O2 -Wall     -L/usr/local/X11R6.1/lib FCtest.o ../../libs/libfvwm2.a -L/home/petersen/lib/solaris -lXpm  -lXext -lX11    -lsocket -lnsl  
---- End of included text -------------------------8<--- and here -------------

but when I try to start it from fvwm2, it dies almost immediately,
with a message something like

	FvwmConsoleC error in connect

(in fact I get exactly this message when I try to run
FvwmConsoleC from a shell by hand).

I have readline, which I assume it is seeing, but anyway the
problem seems to be different: do you know how I can build under
solaris?

Also I heard there is a new version of FvwmConsole, can you tell
me where I can get it from?

Thanks, Jens

ps I have it it working fine under Sunos4 and X11R6.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].